## com.bbn.openmap.util
Class PropertyStringFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bbn.openmap.util.PropertyStringFormatException

All Implemented Interfaces:
  java.io.Serializable

public class PropertyStringFormatException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`PropertyStringFormatException()` Constructs a `MapRequestFormatException` with `null` as its error message string.
`PropertyStringFormatException(java.lang.String s)` Constructs a `MapRequestFormatException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyStringFormatException

    public PropertyStringFormatException()

  Constructs a `MapRequestFormatException` with `null` as its error message string.

### PropertyStringFormatException

    public PropertyStringFormatException(java.lang.String s)

  Constructs a `MapRequestFormatException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

Parameters:
  `s` - the detail message.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details